--- old/usr/src/tools/env/illumos.sh	Tue Dec 13 03:05:14 2016
+++ new/usr/src/tools/env/illumos.sh	Tue Dec 13 03:05:14 2016
@@ -22,6 +22,7 @@
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
 # Copyright 2012 Joshua M. Clulow <josh@sysmgr.org>
 # Copyright 2015, OmniTI Computer Consulting, Inc. All rights reserved.
+# Copyright 2016 RackTop Systems.
 #
 
 # Configuration variables for the runtime environment of the nightly
@@ -222,9 +223,17 @@
 # don't want to bother providing the CUPS headers this needs.
 export ENABLE_SMB_PRINTING=
 
+# Comment this out to disable building of 32bit perl modules, i.e
+# if you're running a distro that only provides 64bit perl.
+export ENABLE_32BIT_PERL=
+
+# Comment this out to disable building of 64bit perl modules, i.e
+# if you're running a distro that doesn't provide 64bit perl.
+export ENABLE_64BIT_PERL=
+
 # If your distro uses certain versions of Perl, make sure either Makefile.master
 # contains your new defaults OR your .env file sets them.
 # These are how you would override for building on OmniOS r151012, for example.
 #export PERL_VERSION=5.16.1
-#export PERL_ARCH=i86pc-solaris-thread-multi-64int
+#export PERL_VARIANT=-thread-multi
 #export PERL_PKGVERS=-5161
